Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanNotificationInfo

    java.lang.Object
      |
      +--javax.management.MBeanFeatureInfo
            |
            +--javax.management.MBeanNotificationInfo

public class MBeanNotificationInfo
extends MBeanFeatureInfo
implements java.io.Serializable

The MBeanNotificationInfo object describes describes a notification emitted by an MBean.

See Also:
  Serialized Form

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`MBeanNotificationInfo(java.lang.String[] notifsType, java.lang.String name, java.lang.String description)` Constructs a MBeanNotificationInfo object.

Method Summary
`java.lang.String[]` | `getNotifTypes()` Returns the notification type string (in dot notation) of the notification.

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanNotificationInfo

    public MBeanNotificationInfo(java.lang.String[] notifsType,
                                 java.lang.String name,
                                 java.lang.String description)

  Constructs a MBeanNotificationInfo object.
  Parameters:
    `notifType` - The event type string (in dot notation).
    `name` - The name of the Notification class.
    `description` - A human readable description of the data. Optional.

Method Detail

### getNotifTypes

    public java.lang.String[] getNotifTypes()

  Returns the notification type string (in dot notation) of the notification.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD